UFF/Params.h File Reference
`#include <RDGeneral/export.h>`
`#include <memory>`
`#include <string>`
`#include <cmath>`
`#include <map>`

Go to the source code of this file.

## Classes

class | ForceFields::UFF::UFFBond
| class to store UFF parameters for bond stretching More...
class | ForceFields::UFF::UFFAngle
| class to store UFF parameters for angle bending More...
class | ForceFields::UFF::UFFTor
| class to store UFF parameters for torsions More...
class | ForceFields::UFF::UFFInv
| class to store UFF parameters for inversions More...
class | ForceFields::UFF::UFFVdW
| class to store UFF parameters for van der Waals interactions More...
class | ForceFields::UFF::AtomicParams
| class to store atomic parameters for the Universal Force Field More...
class | ForceFields::UFF::ParamCollection
| singleton class for retrieving UFF AtomParams More...

## Namespaces

| ForceFields
| ForceFields::UFF
| ForceFields::UFF::Params

## Macros

#define | M_PI 3.14159265358979323846

## Functions

bool | ForceFields::UFF::isDoubleZero (const double x)
void | ForceFields::UFF::clipToOne (double &x)

## Variables

const double | ForceFields::UFF::DEG2RAD = M_PI / 180.0
const double | ForceFields::UFF::RAD2DEG = 180.0 / M_PI
const double | ForceFields::UFF::Params::lambda = 0.1332
| scaling factor for rBO correction More...
const double | ForceFields::UFF::Params::G = 332.06
| bond force constant prefactor More...
const double | ForceFields::UFF::Params::amideBondOrder
| special case bond order for amide C-N bonds. More...

## Macro Definition Documentation

## M_PI

#define M_PI 3.14159265358979323846

Definition at line 20 of file UFF/Params.h.